Mail archive
alpine-devel

[alpine-devel] [PATCH] Add Tk (including wish)

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Thu, 28 Aug 2014 07:24:45 -0700

Tk is the standard GUI for Tcl; wish is a GUI version of tclsh.
---
 testing/tk/APKBUILD | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)
 create mode 100644 testing/tk/APKBUILD
diff --git a/testing/tk/APKBUILD b/testing/tk/APKBUILD
new file mode 100644
index 0000000..383f5e0
--- /dev/null
+++ b/testing/tk/APKBUILD
_at_@ -0,0 +1,65 @@
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=tk
+pkgver=8.6.1
+pkgrel=0
+pkgdesc="GUI toolkit for the Tcl scripting language"
+url="http://tcl.sourceforge.net/"
+arch="all"
+license="TCL"
+depends=
+makedepends="tcl-dev libx11-dev libxft-dev libpng-dev"
+source="http://downloads.sourceforge.net/sourceforge/tcl/$pkgname$pkgver-src.tar.gz
+	"
+subpackages="$pkgname-doc $pkgname-dev"
+
+_major=${pkgver%.*}
+_builddir="$srcdir"/tk${pkgver}/unix
+
+prepare() {
+	cd "$srcdir"/tk${pkgver}
+	for i in $source; do
+		case $i in
+		*.patch) msg "$i"; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	local _64bit="--disable-64bit"
+	case "$CARCH" in
+		x86_64) _64bit="--enable-64bit";;
+	esac
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		$_64bit \
+		|| return 1
+		make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	export LD_LIBRARY_PATH="$_builddir"
+	make -j1 INSTALL_ROOT="${pkgdir}" install install-private-headers || return 1
+
+	ln -sf wish${_major} "${pkgdir}"/usr/bin/wish
+	install -Dm644 ../license.terms ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+	# remove buildroot traces
+	find "$pkgdir" -name '*Config.sh' | xargs sed -i -e "s#${srcdir}#/usr/src#"
+}
+
+dev() {
+	default_dev
+	cd $pkgdir
+	for i in $(find . -name '*.c' -o -name '*Config.sh'); do
+		mkdir -p "$subpkgdir"/${i%/*}
+		mv $i "$subpkgdir"/${i%/*}/ || return 1
+	done
+}
+
+md5sums="63f21c3a0e0cefbd854b4eb29b129ac6  tk8.6.1-src.tar.gz"
+sha256sums="b691a2e84907392918665fe03a0deb913663a026bed2162185b4a9a14898162c  tk8.6.1-src.tar.gz"
+sha512sums="f05879924371bae7059ccf84b49b16748b3c2c1438ddcfbc4797a7552779947b0c733ada8c9abd739b3b00d16e9e76b407269213f87b6fc81bb29796581a8447  tk8.6.1-src.tar.gz"
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Aug 28 2014 - 07:24:45 UTC